name: Azure-monitor-containers
services:
  ama-logs:
    name: ama-logs
    type: ServiceAccount
    apiVersion: v1
    namespace: kube-system
    model: kubernetes
    labels:
      chart: azuremonitor-containers-3.1.20
      heritage: Helm
      release: azuremonitor-containers
    settings:
      image Pull Secrets: []
      secrets: []
    traits:
      meshmap:
        edges:
        - data:
            id: 7c8801e7-a66f-4095-b540-2de76b3a4d59
            metadata:
              binded_by: 75b8b189-c56e-4cfa-9f29-80788439c2e7
            source: bc14d604-4afe-485d-8f5c-d3b5461ecc21
            subType: Permission
            target: ac809b05-e8fc-474c-96d7-8b8a5a970c33
          style:
            control-point-distances: null
            control-point-weights: "0.5"
            curve-style: bezier
            haystack-radius: "0"
            line-color: rgb(153,153,153)
            line-style: dotted
            opacity: "1"
            segment-distances: 20px
            segment-weights: "0.5"
            target-arrow-shape: vee
            taxi-direction: auto
            taxi-turn: 50%
            taxi-turn-min-distance: 10px
            width: 1.5px
        id: ac809b05-e8fc-474c-96d7-8b8a5a970c33
        meshmodel-metadata:
          capabilities: ""
          defaultData: ""
          genealogy: ""
          isAnnotation: false
          isCustomResource: false
          isModelAnnotation: "FALSE"
          isNamespaced: true
          logoURL: https://github.com/cncf/artwork/blob/master/projects/kubernetes/icon/white/kubernetes-icon-white.svg
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          secondaryColor: '#7aa1f0'
          shape: bottom-round-rectangle
          shapePolygonPoints: ""
          status: enabled
          styleOverrides:
            z-index: 3
          styles: ""
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/serviceaccount-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/serviceaccount-white.svg
        position:
          posX: 10
          posY: 70
        whiteboardData:
          style: {}
  ama-logs-reader:
    name: ama-logs-reader
    type: ClusterRole
    apiVersion: rbac.authorization.k8s.io/v1
    model: kubernetes
    labels:
      chart: azuremonitor-containers-3.1.20
      heritage: Helm
      release: azuremonitor-containers
    settings:
      rules:
      - api Groups:
        - ""
        resources:
        - pods
        - events
        - nodes
        - nodes/stats
        - nodes/metrics
        - nodes/spec
        - nodes/proxy
        - namespaces
        - services
        - persistentvolumes
        verbs:
        - list
        - get
        - watch
      - api Groups:
        - apps
        - extensions
        - autoscaling
        resources:
        - replicasets
        - deployments
        - horizontalpodautoscalers
        verbs:
        - list
      - api Groups:
        - clusterconfig.azure.com
        resources:
        - azureclusteridentityrequests
        - azureclusteridentityrequests/status
        verbs:
        - get
        - create
        - patch
        - list
        - update
        - delete
      - non Resource URLs:
        - /metrics
        verbs:
        - get
      - api Groups:
        - ""
        resource Names:
        - container-insights-clusteridentityrequest-token
        resources:
        - secrets
        verbs:
        - get
    traits:
      meshmap:
        edges:
        - data:
            id: 7c8801e7-a66f-4095-b540-2de76b3a4d59
            metadata:
              binded_by: 75b8b189-c56e-4cfa-9f29-80788439c2e7
            source: bc14d604-4afe-485d-8f5c-d3b5461ecc21
            subType: Permission
            target: ac809b05-e8fc-474c-96d7-8b8a5a970c33
          style:
            control-point-distances: null
            control-point-weights: "0.5"
            curve-style: bezier
            haystack-radius: "0"
            line-color: rgb(153,153,153)
            line-style: dotted
            opacity: "1"
            segment-distances: 20px
            segment-weights: "0.5"
            target-arrow-shape: vee
            taxi-direction: auto
            taxi-turn: 50%
            taxi-turn-min-distance: 10px
            width: 1.5px
        id: bc14d604-4afe-485d-8f5c-d3b5461ecc21
        meshmodel-metadata:
          capabilities: ""
          defaultData: ""
          genealogy: ""
          isAnnotation: false
          isCustomResource: false
          isModelAnnotation: "FALSE"
          isNamespaced: false
          logoURL: Created by Meshery Authors
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          secondaryColor: '#7aa1f0'
          shape: round-rectangle
          shapePolygonPoints: ""
          status: enabled
          styleOverrides: '{"height":"22px", "width":"22px", "x":"8.5", "y":"7.5"}'
          styles: '{"height":"22px", "width":"22px", "x":"8.5", "y":"7.5"}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/clusterrole-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/clusterrole-white.svg
        position:
          posX: 110
          posY: 10
        whiteboardData:
          style: {}
  amalogsclusterrolebinding:
    name: amalogsclusterrolebinding
    type: ClusterRoleBinding
    apiVersion: rbac.authorization.k8s.io/v1
    model: kubernetes
    labels:
      chart: azuremonitor-containers-3.1.20
      heritage: Helm
      release: azuremonitor-containers
    settings:
      role Ref:
        api Group: rbac.authorization.k8s.io
        kind: ClusterRole
        name: ama-logs-reader
      subjects:
      - kind: ServiceAccount
        name: ama-logs
        namespace: kube-system
    traits:
      meshmap:
        edges: []
        id: 75b8b189-c56e-4cfa-9f29-80788439c2e7
        meshmodel-metadata:
          capabilities: ""
          defaultData: ""
          genealogy: ""
          isAnnotation: false
          isCustomResource: false
          isModelAnnotation: "FALSE"
          isNamespaced: false
          logoURL: Created by Meshery Authors
          model: kubernetes
          modelDisplayName: Kubernetes
          primaryColor: '#326CE5'
          secondaryColor: '#7aa1f0'
          shape: round-rectangle
          shapePolygonPoints: ""
          status: enabled
          styleOverrides:
            height: 25px
            width: 25px
            x: "7"
            "y": "7"
            z-index: 3
          styles: '{"height":"25px","width":"25px","x":"7", "y":"7"}'
          subCategory: ""
          svgColor: ui/public/static/img/meshmodels/kubernetes/color/clusterrolebinding-color.svg
          svgComplete: ""
          svgWhite: ui/public/static/img/meshmodels/kubernetes/white/clusterrolebinding-white.svg
        position:
          posX: 59.806971296684125
          posY: 40.11581722198953
        whiteboardData:
          style:
            height: 10.5
            width: 10.5
            z-index: 1000
